################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = RigakuAPRI
#VER_PAT = 1-beta    #patch part = 0-beta, 0, 1-beta, 1, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}_ru.ts

include( $${RADIR}RA_common_suffix.pri )
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#_____________________________________________use_COMPort_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/COMPort/
DEFINES += COMPort_PLUGIN_USE
LIBS += -lrapCOMPort$${LIB_SUFFIX}
#________________________________________use_BasicDevices_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/BasicDevices/
DEFINES += BasicDevices_PLUGIN_USE
LIBS += -lrapBasicDevices$${LIB_SUFFIX}
#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += RigakuAPRI.h
SOURCES += RigakuAPRI.cpp
# -------------------------------
HEADERS += RigakuScan.h
SOURCES += RigakuScan.cpp
HEADERS += APRI_ML327_Counter.h
SOURCES += APRI_ML327_Counter.cpp
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
