################################################################################
#                       Research Assistant project
#                https://launchpad.net/research-assistant
#
# Uses  Qt v.5  - http://qt.io/
# Copyright(C) 2000-2017, Viktor E. Bursian, St.Petersburg, Russia.
#                         Viktor.Bursian@mail.ioffe.ru
# Copyright(C) 2009-2017, Dmitrii Nelson, St.Petersburg, Russia.
#                         d.nelson@mail.ioffe.ru
################################################################################
TEMPLATE = subdirs
CONFIG  += ordered

SUBDIRS += RANet

SUBDIRS += RAGUI
RAGUI.depends = RANet

SUBDIRS += RAdmin
RAdmin.depends = RANet RAGUI

SUBDIRS += RAMain
RAMain.depends = RANet RAGUI

SUBDIRS += RAPlugins
RAPlugins.depends = RANet RAGUI

#SUBDIRS += RATests
#RATests.depends = RANet #RAGUI

SUBDIRS += RAInst
RAInst.depends = RANet RAGUI RAdmin RAMain RAPlugins

SUBDIRS += RADist
RAPlugins.depends = RANet RAGUI RAdmin RAMain RAPlugins RAInst

#_______________________________________________________________________________
OTHER_FILES += docs/Doxyfile
OTHER_FILES += docs/*.dox
OTHER_FILES += HistoryLog.txt
OTHER_FILES += scripts/clear
OTHER_FILES += scripts/release
OTHER_FILES += scripts/install
OTHER_FILES += help/RA.qhp
OTHER_FILES += help/RA.qhcp
OTHER_FILES += help/index.html
OTHER_FILES += locales/______README______.txt
OTHER_FILES += what-not/*
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

