////////////////////////////////////////////////////////////////////////////////
/*! @file RADist.cpp   Формирование составного дистрибутива.
- Uses  RAGUI - Research Assistant Graphical User Interface Library.
- Uses  RANet - Research Assistant Net Library.
- Uses  Qt v.5  -  http://qt-project.org/
- Copyright(C) 2011-2015, Viktor E. Bursian, St.Petersburg, Russia.
                          VBursian@gmail.com
*///////////////////////////////////////////////////////////////////////////////
#include "DistWizard.h"
#include "Environment.h"
#include "RAGUI_global.h"
#include <QApplication>
using namespace RA;

int main(int argc, char *argv[])
{
  InitiateRAGUI();
  QApplication                Application(argc, argv);
  { sEnvironment(argc,argv); } //initiates sEnvironment's static members

  sDistWizard                 Wizard(sEnvironment::BoolOption("-t",false));

  Wizard.show();
  return Application.exec();
}


