////////////////////////////////////////////////////////////////////////////////
/*! @file EditExpressionDialog.cpp   Редактирование этикетки кластера.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "EditExpressionDialog.h"
#include "StringsAndQStrings.h"
#include "Helper.h"
namespace RA {
//------------------------------------------------------------------------------

sEditExpressionDialog::sEditExpressionDialog (QWidget *parent)
  :sEditDocketDialog(parent)
{
  lblDocket->setText(tr("Expression:"));
}


void  sEditExpressionDialog::ShowHelp ()
{
  sHelper::ShowKeyId("sEditExpressionDialog");
}


bool  sEditExpressionDialog::Validate ()
{
  TheDocket=FromQString(fldDocket->text().trimmed());
  return sAttrDlg::Validate();
}

//------------------------------------------------------------------------------
} //namespace RA
