////////////////////////////////////////////////////////////////////////////////
/*! @file EditExpressionDialog.h   Редактирование этикетки кластера.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef EditExpressionDialog_H
#define EditExpressionDialog_H
#include "EditDocketDialog.h"
namespace RA {
//------------------------------------------------------------------------------

class sEditExpressionDialog : public sEditDocketDialog
{
  Q_OBJECT
  public:
    explicit                  sEditExpressionDialog (QWidget *  parent = 0);

  public slots:
    virtual void              ShowHelp ();

  protected:
    virtual bool              Validate (); //true on success
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
