////////////////////////////////////////////////////////////////////////////////
/*! @file FolderNodeUI.h   Функционал навигатора, специфичный для кластеров.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef FolderNodeUI_H
#define FolderNodeUI_H
#include "NetView.h"
namespace RA {
//------------------------------------------------------------------------------

class sFolderNodeUI
{
  public:
                              sFolderNodeUI ();
    static void               MenuGenerator (psNetViewMenu
                                            ,sNet2TreeEvolution::pcsItem);
    static void               EditValue (sNet2TreeEvolution::pcsItem ,sPoint);
    static void               AddNew (sNet2TreeEvolution::pcsItem ,sPoint);
    static void               InsertNew (sNet2TreeEvolution::pcsItem ,sPoint);
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
