////////////////////////////////////////////////////////////////////////////////
/*! @file RecordUI.h   Функционал навигатора, специфичный для записей.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef RecordUI_H
#define RecordUI_H
#include "NetView.h"
namespace RA {
//------------------------------------------------------------------------------
//---------------------------------------------------------------- sRecordUI ---

class sRecordUI
{
  public:
    sRecordUI();
    static void               MenuGenerator (psNetViewMenu
                                            ,sNet2TreeEvolution::pcsItem);
    static void               Disregard (sNet2TreeEvolution::pcsItem ,sPoint);
};

//------------------------------------------------------------------------------
}; //namespace RA
#endif //RecordUI_H
