////////////////////////////////////////////////////////////////////////////////
/*! @file RAInst.cpp   Инсталяция составного дистрибутива.
- Uses selected files from RANet - Research Assistant Net Library.
- Uses  Qt v.5  -  http://qt-project.org/
- Copyright(C) 2011-2015, Viktor E. Bursian, St.Petersburg, Russia.
                          VBursian@gmail.com
*///////////////////////////////////////////////////////////////////////////////
#include "InstallWizard.h"
#include <QApplication>
//#include <QTranslator>
//#include <QLocale>
//#include <QLibraryInfo>
using namespace RA;

int main(int argc, char *argv[])
{
  bool                        Testing = false;
  for( int i = 1 ; i < argc ; ++i ){
    if( sString(argv[i]) == "-t" )
      Testing = true;
  }
  #ifdef RANET_DEBUG
    Testing = true;
  #endif

  QApplication                Application(argc, argv);

//  QString translatorFileName = QLatin1String("qt_");
//  translatorFileName += QLocale::system().name();
//  QTranslator *translator = new QTranslator(&Application);
//  if (translator->load(translatorFileName
//                        ,QLibraryInfo::location(
//                                         QLibraryInfo::TranslationsPath)))
//    Application.installTranslator(translator);


  sInstallWizard              Wizard(Testing);
  Wizard.show();
  return Application.exec();
}


