////////////////////////////////////////////////////////////////////////////////
/*! @file General.cpp   General definitions.
- Part of RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 1994-2011, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "General.h"
namespace RA {
//------------------------------------------------------------------------------

const real                    real_inf = std::numeric_limits<real>::infinity();
const real                    real_nan = std::numeric_limits<real>::quiet_NaN();
//real const                    ln10 = log(real(10.0));

//! @todo{PhysValues} optimize
real  power10 (int P)
{
  return pow(10,P);
}

//------------------------------------------------------------------------------
} //namespace RA
