////////////////////////////////////////////////////////////////////////////////
/*! @file StringsAndQStrings.h   Casting sString <-> QString.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef StringsAndQStrings_H
#define StringsAndQStrings_H
#include "Strings.h"
#include <QString>

namespace RA {
//------------------------------------------------------------------------------

inline QString  ToQString (sString S)
{
  return QString::fromUtf8(literal(S));
}


inline sString  FromQString (QString S)
{
  return sString(literal(S.toUtf8()));
}

//------------------------------------------------------------------------------
} //namespace RA
#endif
