################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
#QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = CommonMath
#VER_PAT = 1-alpha   # = 1-alpha, 1-beta, 1, 2-alpha, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += CommonMath.h
SOURCES += CommonMath.cpp
# -------------------------------

HEADERS += Arithmetics.h
SOURCES += Arithmetics.cpp

HEADERS += FAlgebra.h
SOURCES += FAlgebra.cpp

HEADERS += Redigitizing.h
SOURCES += Redigitizing.cpp

HEADERS += MathAn.h
SOURCES += MathAn.cpp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
