////////////////////////////////////////////////////////////////////////////////
/*! @file FAlgebra.h   Algebra on functions.
- Part of CommonMath - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface.
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2015, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef FAlgebra_H
#define FAlgebra_H
#include "CommonMath.h"
#include "BasicMath.h"
namespace RA {
//------------------------------------------------------------------------------

CommonMath_EXPORT extern psMathValue  LgOfDataFunction
                                      (pcsMathValue  arg1);

CommonMath_EXPORT extern psMathValue  LnOfDataFunction
                                      (pcsMathValue  arg1);

CommonMath_EXPORT extern psMathValue  LogOfDataFunction
                                      (pcsMathValue  arg1 ,pcsMathValue  arg2);

//------------------------------------------------------------------------------
} //namespace RA
#endif
