////////////////////////////////////////////////////////////////////////////////
/*! @file CardioFiction.h   Kinda cardograph.
- Part of DemoMicrosin - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface Library.
- Uses  Qt v.5.0.2  - http://qt-project.org/
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2010-2014, Viktor E. Bursian, St.Petersburg, Russia.
                          Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef CardioFiction_H
#define CardioFiction_H
#include "DemoMicrosin.h"
#include "PeriodicGaugeRecorder.h"
namespace RA {
//------------------------------------------------------------------------------

ANNOUNCE_CLASS(sCardioFiction)

//----------------------------------------------------- sCardioFiction ---
/*! Kinda cardograph.


*/
class  DemoMicrosin_EXPORT  sCardioFiction : public sPeriodicGaugeRecorder
{
  Q_OBJECT
  CONSOLE(sCardioFiction)
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
