////////////////////////////////////////////////////////////////////////////////
/*! @file EffectorTestboard.cpp Консоль управления эффектором.
- Part of DevelopmentTools - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface Library.
- Uses  Qt v.5.0.2  - http://qt-project.org/
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2013-2014, Viktor E. Bursian, St.Petersburg, Russia.
                          Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "EffectorTestboard.h"
#include "attr.h"
#include "StringsAndQStrings.h"
#include <QVBoxLayout>
#include <QMessageBox>
namespace RA {
//------------------------------------------------------------------------------

DEFINE_CLASS_TAG(sEffectorTestboard)

//------------------------------------------------------- sEffectorTestboard ---

void  sEffectorTestboard::Preconfigure (sNodePtr  DeviceCfg)
{
//  sPtr<sFolderNode>              DeviceSettings;
//  DeviceCfg |= "Settings";
//  DeviceSettings = DeviceCfg >> "Settings";
//  if( DeviceSettings.IsCorrect() ){
//    DeviceSettings |= attr("Label"," v a l u e :");
//  };
  sEffectorConsole::Preconfigure(DeviceCfg);
}


//sEffectorTestboard::~sEffectorTestboard ()
//{
//}


sEffectorTestboard::sEffectorTestboard (sString   DeviceId
                                       ,sNodePtr  DeviceCfg
                                       ,sNodePtr  WidgetCfg
                                       ,QWidget *  parent    )
    :sEffectorConsole(DeviceId,DeviceCfg,WidgetCfg,parent)
{
  //evolution of the inherited state machine
  {
    //State_Operating internal structure and behaviour
    {
    }
  }
}


void  sEffectorTestboard::AppearanceMakeUp ()
{
  sEffectorConsole::AppearanceMakeUp();
  if( DeviceSettings.IsCorrect() ){ //get config parameters
  }
}

//------------------------------------------------------------------------------
} //namespace RA
