################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = FSDminispectro
#VER_PAT = 1-alpha   # = 0-alpha, 0-beta, 0, 1-alpha, 1-beta, 1, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#________________________________________use_BasicDevices_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/BasicDevices/
DEFINES += BasicDevices_PLUGIN_USE
LIBS += -lrapBasicDevices$${LIB_SUFFIX}
#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += FSDminispectro.h
SOURCES += FSDminispectro.cpp
# -------------------------------
include( FSDminispectro.pri )
# -------------------------------
HEADERS += FSDminispectroDriver.h
SOURCES += FSDminispectroDriver.cpp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
