################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = SOS2RA
#VER_PAT = 1-alpha   # = 1-alpha, 1-beta, 1, 2-alpha, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += SOS2RA.h
SOURCES += SOS2RA.cpp
# -------------------------------

OTHER_FILES += Borland_ImportSOS.h
OTHER_FILES += Borland_ImportSOS.cpp
OTHER_FILES += ImportSOS.h
OTHER_FILES += ImportSOS.cpp
OTHER_FILES += Import.h
OTHER_FILES += Import.cpp

HEADERS += SOSFileImport.h
SOURCES += SOSFileImport.cpp

HEADERS += SOSDropPanel.h
SOURCES += SOSDropPanel.cpp

#HEADERS += SOSImporter.h
#SOURCES += SOSImporter.cpp
OTHER_FILES += SOSImporter.h
OTHER_FILES += SOSImporter.cpp

HEADERS += SEXCalibration.h
SOURCES += SEXCalibration.cpp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
