////////////////////////////////////////////////////////////////////////////////
/*! @file EditScriptDialog.h   Редактирование текстового атрибута.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef EditScriptDialog_H
#define EditScriptDialog_H
#include <QDialog>
#include <QString>
#include <QTextEdit>
namespace RA {
//------------------------------------------------------------------------------

class sEditScriptDialog : public QDialog
{
  Q_OBJECT
  public:
    virtual                   ~sEditScriptDialog ();
    explicit                  sEditScriptDialog (QWidget *  parent = 0);
    void                      SetText (const QString &);
    QString                   Text ();

  private slots:
    void                      ShowHelp ();

  private://fields
    QTextEdit *               Editor;
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
