################################################################################
#
################################################################################
LICENSE = GPLv2

TEMPLATE = app
CONFIG -= debug_and_release
QT += widgets sql network

include( ../RA_common_prefix.pri )

TARGET = RADist
VER_PAT = $${CORE_VER_PAT}

include( $${RADIR}RA_common_suffix.pri )
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___

INCLUDEPATH += $${RADIR}RAInst
DEPENDPATH  += $${RADIR}RAInst
VPATH +=       $${RADIR}RAInst

HEADERS += CommonDist.h
SOURCES += CommonDist.cpp

#----------------------------------------

HEADERS += DistribJob.h
SOURCES += DistribJob.cpp

HEADERS += DistWizard.h
SOURCES += DistWizard.cpp
SOURCES += RADist.cpp

#_______________________________________________________________________________
OTHER_FILES += install.bat
OTHER_FILES += install.sh
OTHER_FILES += scenario.win32.txt
OTHER_FILES += Licenses(briefly).html
OTHER_FILES += $${RADIR}desktop/RA.desktop
OTHER_FILES += $${RADIR}desktop/install-desktop.sh
OTHER_FILES += RA_desktop+.txt
OTHER_FILES += RA_desktop++.txt
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

#Этот фрагмент копирует docs в указанное место, если ко всему проекту RA
#добавить Build Step qmake RA.pro с агументом install

#documentation.path = $${RADIR}../installer/packages/net.VBursian.RA
#documentation.files = $${RADIR}docs
#INSTALLS = documentation

#Не любит скобок (и тп?) в именах файлов, если включать их, например, как *.txt
#или doc/*. В общем, фигня, не стоит того, чтобы в ней разбираться.
