////////////////////////////////////////////////////////////////////////////////
/*! @file EditDocketDialog.h   Редактирование этикетки кластера.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef EditDocketDialog_H
#define EditDocketDialog_H
#include "AttrDlg.h"
namespace RA {
//------------------------------------------------------------------------------

class sEditDocketDialog : public sAttrDlg
{
  Q_OBJECT
  public:
    explicit                  sEditDocketDialog (QWidget *  parent = 0);
    void                      SetDocket (rcsString);
    sString                   Docket ()
                                { return TheDocket; }
  protected:
    virtual bool              Validate (); //true on success

  protected://fields
    sString                   TheDocket;
    QLabel *                  lblDocket;
    QLineEdit *               fldDocket;
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
