////////////////////////////////////////////////////////////////////////////////
/*! @file EditScalesDialog.h   Редактирование шкал графика.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef EditScalesDialog_H
#define EditScalesDialog_H
#include <QDialog>
#include <QLineEdit>
#include "PhysRangeField.h"
namespace RA {
//------------------------------------------------------------------------------
/*!

@todo{elegancy} Переписать с использованием sChartScales or sScales
*/
class sEditScalesDialog : public QDialog
{
  Q_OBJECT
  public:
    explicit                  sEditScalesDialog (QWidget *  parent = NULL);

  public: //fields
    QLineEdit *               fldOrdinateVariableName;
    QLineEdit *               fldAbscissVariableName;
    psPhysRangeField          fldOrdinateRange;
    psPhysRangeField          fldAbscissRange;
};

//------------------------------------------------------------------------------
} //namespace RA
#endif

