////////////////////////////////////////////////////////////////////////////////
/*! @file PrintPreview.h   Printing dialog with preview.
- Part of RAGUI - Research Assistant Graphical User Interface Library.
- Uses  RANet - Research Assistant Net Library.
- Uses  Qt v.5  -  http://qt-project.org/
- Copyright(C) 2015, Viktor E. Bursian, St.Petersburg, Russia.
                          VBursian@gmail.com
*///////////////////////////////////////////////////////////////////////////////
#ifndef PrintPreview_H
#define PrintPreview_H
#include "RAGUI_global.h"
#include <QPrinter>
#include <QPrintPreviewDialog>
#include <QDialog>
namespace RA {
//------------------------------------------------------------------------------

ANNOUNCE_CLASS(sPrintPreview)

//------------------------------------------------------------ sPrintPreview ---

class sPrintPreview : public QPrintPreviewDialog // QDialog
{
  Q_OBJECT
  public: //static fields
    static QPrinter *         Printer;

  public:
    explicit                  sPrintPreview (QWidget *  parent = 0);

  signals:

  public slots:

};

//------------------------------------------------------------------------------
} //namespace RA
#endif
