################################################################################
#
################################################################################
LICENSE = LGPLv2

TEMPLATE = lib
CONFIG += dll
CONFIG -= debug_and_release
QT += widgets
qtHaveModule(printsupport): QT += printsupport
!qtHaveModule(printsupport):{
  message("*********** В ЭТОМ Кьюте НЕТУ МОДУЛЯ printsupport ********")
}

include( ../RA_common_prefix.pri )

TARGET = RAGUI
DEFINES += RAGUI_LIBRARY_BUILD
VER_PAT = $${CORE_VER_PAT}

TRANSLATIONS = $${RADIR}locales/RA.ru_RU.ts \
               $${RADIR}locales/RA.en_OF.ts \
               $${RADIR}locales/RA.en_RU.ts

include( $${RADIR}RA_common_suffix.pri )
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
RESOURCES += $${RADIR}RAGUI/RAGUI.qrc

HEADERS += RAGUI_global.h
SOURCES += RAGUI_global.cpp

HEADERS += flowlayout.h
SOURCES += flowlayout.cpp

HEADERS += SymbolsGUI.h
# #HEADERS += Messages.h
# #SOURCES += Messages.cpp
HEADERS += FlexibleFields.h
SOURCES += FlexibleFields.cpp
HEADERS += PhysValueField.h
SOURCES += PhysValueField.cpp
HEADERS += PhysRangeField.h
SOURCES += PhysRangeField.cpp
HEADERS += ActionSignallingText.h
SOURCES += ActionSignallingText.cpp
HEADERS += Net2TreeEvolution.h
SOURCES += Net2TreeEvolution.cpp
HEADERS += NetView.h
SOURCES += NetView.cpp
HEADERS += Navigator.h
SOURCES += Navigator.cpp
HEADERS += Chart.h
SOURCES += Chart.cpp
HEADERS += NetWidgets.h
SOURCES += NetWidgets.cpp

HEADERS += BasicNodesUI.h
SOURCES += BasicNodesUI.cpp
HEADERS += FolderNodeUI.h
SOURCES += FolderNodeUI.cpp
HEADERS += ColorsUI.h
SOURCES += ColorsUI.cpp
HEADERS += CurvesUI.h
SOURCES += CurvesUI.cpp
HEADERS += DataFunctionUI.h
SOURCES += DataFunctionUI.cpp
HEADERS += RecordUI.h
SOURCES += RecordUI.cpp
HEADERS += MarksUI.h
SOURCES += MarksUI.cpp
HEADERS += ExpressionNodeUI.h
SOURCES += ExpressionNodeUI.cpp

HEADERS += AboutRA.h
SOURCES += AboutRA.cpp
HEADERS += ByeScreen.h
SOURCES += ByeScreen.cpp
HEADERS += ColorDialog.h
SOURCES += ColorDialog.cpp
HEADERS += PrintPreview.h
SOURCES += PrintPreview.cpp
HEADERS += AttrDlg.h
SOURCES += AttrDlg.cpp
HEADERS += EditDocketDialog.h
SOURCES += EditDocketDialog.cpp
HEADERS += EditIntDialog.h
SOURCES += EditIntDialog.cpp
HEADERS += EditNoteDialog.h
SOURCES += EditNoteDialog.cpp
HEADERS += EditPhysValueDialog.h
SOURCES += EditPhysValueDialog.cpp
HEADERS += EditPhysRangeDialog.h
SOURCES += EditPhysRangeDialog.cpp
HEADERS += EditScalesDialog.h
SOURCES += EditScalesDialog.cpp
HEADERS += EditExpressionDialog.h
SOURCES += EditExpressionDialog.cpp
HEADERS += ExportDataDialog.h
SOURCES += ExportDataDialog.cpp
HEADERS += CSVImportDialog.h
SOURCES += CSVImportDialog.cpp
HEADERS += DBLinkingDialogs.h
SOURCES += DBLinkingDialogs.cpp

HEADERS += Window.h
SOURCES += Window.cpp
HEADERS += RADock.h
SOURCES += RADock.cpp
HEADERS += Plot.h
SOURCES += Plot.cpp
HEADERS += Workbook.h
SOURCES += Workbook.cpp

HEADERS += DriverLink.h
SOURCES += DriverLink.cpp
HEADERS += DeviceStates.h
SOURCES += DeviceStates.cpp
OTHER_FILES += DeviceStates.state_graph
HEADERS += Driver.h
SOURCES += Driver.cpp
OTHER_FILES += Driver.state_graph
HEADERS += InstrumentWindow.h
SOURCES += InstrumentWindow.cpp
HEADERS += Console.h
SOURCES += Console.cpp
OTHER_FILES += Console.state_graph

HEADERS += RAPlugins.h
SOURCES += RAPlugins.cpp

HEADERS += Globals.h
SOURCES += Globals.cpp
HEADERS += Helper.h
SOURCES += Helper.cpp
HEADERS += Restyling.h
SOURCES += Restyling.cpp
HEADERS += RAMainWindow.h
SOURCES += RAMainWindow.cpp
HEADERS += ConfigureDeviceDialog.h
SOURCES += ConfigureDeviceDialog.cpp

SOURCES += StaticInitiators.cpp
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
