////////////////////////////////////////////////////////////////////////////////
/*! @file RAPlugins.cpp   Интерфейсы plugin-пакетов.
- Part of RAGUI - Research Assistant Graphical User Interface.
- Uses  QtGui v.4.6  -  http://qt.nokia.com/
- Uses  RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "RAPlugins.h"
#include "Log.h"
#include <QApplication>
namespace RA {
//------------------------------------------------------------------------------
//----------------------------------------------------- sInstrumentalPackage ---

sInstrumentalPackage::sInstrumentalPackage ()
    :Translator(new QTranslator)
{
  RANet::Log.Put(sLog::Debug,"locale"
      ,sString("InstrumentalPackage constructor") );
  qApp->installTranslator(Translator);
}

//------------------------------------------------------------------------------
} //namespace RA
