////////////////////////////////////////////////////////////////////////////////
/*! @file RANet_global.h   Управление компиляцией.
- Part of RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef RANet_global_H
#define RANet_global_H
#include <QtCore/qglobal.h>
namespace RA {
//------------------------------------------------------------------------------

#if defined(RANET_LIBRARY_BUILD)
    #define RANet_EXPORT Q_DECL_EXPORT
#elif defined(RANET_LIBRARY_USE)
    #define RANet_EXPORT Q_DECL_IMPORT
#else
    #define RANet_EXPORT
#endif


#ifdef RANET_DEBUG
  #define IF_DEBUG(XXX) XXX
#else
  #define IF_DEBUG(XXX)
#endif

//------------------------------------------------------------------------------
} //namespace RA
#endif //RANet_global_H
