////////////////////////////////////////////////////////////////////////////////
/*! @file Trace.cpp   Отладочная трассировка.
- Part of RANet - Research Assistant Net Library (based on ANSI C++).
- Copyright(C) 1994-2010, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "Trace.h"
#include <iostream>
namespace RA {
//------------------------------------------------------------------------------

void  Trace (literal  What ,rcsString  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << (literal)Value << "." << std::endl;
};

void  Trace (literal  What ,literal  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << Value << "." << std::endl;
};

void  Trace (literal  What ,long  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << Value << "." << std::endl;
};

void  TraceNoCR (literal  What ,rcsString  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << (literal)Value << ".   ";
};

void  TraceNoCR (literal  What ,literal  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << Value << ".   ";
};

void  TraceNoCR (literal  What ,long  Value)
{
  std::cout << "***TRACE( " << What << " )="
            << Value << ".   ";
};

//------------------------------------------------------------------------------
}; //namespace RA




