////////////////////////////////////////////////////////////////////////////////
/*! @file Redigitizing.h   Redigitizing on functions.
- Part of CommonMath - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface.
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2015, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef Redigitizing_H
#define Redigitizing_H
#include "CommonMath.h"
#include "BasicMath.h"
namespace RA {
//------------------------------------------------------------------------------
// todo: extend expand fold2v sort
//------------------------------------------------------------------------------


CommonMath_EXPORT extern psMathValue  digitize  (pcsMathValue  from
                                                ,pcsMathValue  to
                                                ,pcsMathValue  step
                                                ,pcsMathValue  function);

CommonMath_EXPORT extern psMathValue  CutDataFunction
                                      (pcsMathValue  from
                                      ,pcsMathValue  to
                                      ,pcsMathValue  data_function);

CommonMath_EXPORT extern psMathValue  ShiftDataFunction
                                      (pcsMathValue  by
                                      ,pcsMathValue  data_function);

CommonMath_EXPORT extern psMathValue  ReverseFunction
                                      (pcsMathValue  arg1);

CommonMath_EXPORT extern psMathValue  Fold2v
                                      (pcsMathValue  data_function);

CommonMath_EXPORT extern psMathValue  Fold4v
                                      (pcsMathValue  data_function);

//------------------------------------------------------------------------------
} //namespace RA
#endif
