////////////////////////////////////////////////////////////////////////////////
/*! @file EffectorTestboard.h   Консоль управления эффектором.
- Part of DevelopmentTools - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface Library.
- Uses  Qt v.5.0.2  - http://qt-project.org/
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2013-2014, Viktor E. Bursian, St.Petersburg, Russia.
                          Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef EffectorTestboard_H
#define EffectorTestboard_H
#include "DevelopmentTools.h"
#include "EffectorConsole.h"
namespace RA {
//------------------------------------------------------------------------------

ANNOUNCE_CLASS(sEffectorTestboard)

//------------------------------------------------------- sEffectorTestboard ---
/*! Консоль управления эффектором.

Сделана для тестирования, но может использоваться как полноценный прибор,
управляющий любым эффектором типа sEffector.

Можно использовать как пример, в частности, консоли с одним подчинённым
драйвером: подключение, проверка готовности, отключение, двусторонний обмен
данными сложного типа (sPhysValue).


*/
class  DevelopmentTools_EXPORT  sEffectorTestboard : public sEffectorConsole
{
  Q_OBJECT
  CONSOLE(sEffectorTestboard)
  public:
//    virtual                   ~sEffectorTestboard ();

  protected:
    virtual void              AppearanceMakeUp ();

  protected: //evolution of the inherited state machine

  signals: //for internal needs

  protected slots: //reimplementing inherited

  protected slots:

  protected: //fields

  private slots:
};

//------------------------------------------------------------------------------
} //namespace RA
#endif
