################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = MagnetizationCalc
#VER_PAT = 1-alpha   # = 1-alpha, 1-beta, 1, 2-alpha, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}
#______________________________________________use_gsl_library___
QMAKE_CXXFLAGS += -fexceptions
win32 {
  INCLUDEPATH += "C:\Program Files\GnuWin32\include"
  DEFINES += GSL_DLL
  LIBS += -L"C:\Program Files\GnuWin32\bin"
}
LIBS += -lgsl -lgslcblas -lm

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += MagnetizationCalc.h
SOURCES += MagnetizationCalc.cpp
# -------------------------------

HEADERS += Magneto.h
SOURCES += Magneto.cpp

HEADERS += MagnetoCalculator.h
SOURCES += MagnetoCalculator.cpp

HEADERS += Cubic001Film.h
SOURCES += Cubic001Film.cpp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
