################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = Nelson
#VER_PAT = 1-alpha   # = 1-alpha, 1-beta, 1, 2-alpha, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#_____________________________________________use_COMPort_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/COMPort/
DEFINES += COMPort_PLUGIN_USE
LIBS += -lrapCOMPort$${LIB_SUFFIX}
#________________________________________use_BasicDevices_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/BasicDevices/
DEFINES += BasicDevices_PLUGIN_USE
LIBS += -lrapBasicDevices$${LIB_SUFFIX}
#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += Nelson.h
SOURCES += Nelson.cpp
# -------------------------------

HEADERS += Stepper428.h
SOURCES += Stepper428.cpp
HEADERS += StepperMDR.h
SOURCES += StepperMDR.cpp
HEADERS += StepperMDRNew.h
SOURCES += StepperMDRNew.cpp
#OTHER_FILES += Stepper428.state_graph

HEADERS += DNSpectroScanner.h
SOURCES += DNSpectroScanner.cpp
HEADERS += MDRSpectroScanner.h
SOURCES += MDRSpectroScanner.cpp
HEADERS += PeriodicXYRecorder.h
SOURCES += PeriodicXYRecorder.cpp
HEADERS += DigitalLIA.h
SOURCES += DigitalLIA.cpp
HEADERS += DigitalLIADisplay.h
SOURCES += DigitalLIADisplay.cpp

HEADERS += ZScanDriver.h
SOURCES += ZScanDriver.cpp
HEADERS += ManualWLDriver.h
SOURCES += ManualWLDriver.cpp
HEADERS += FixedWLDriver.h
SOURCES += FixedWLDriver.cpp

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
