################################################################################
#
################################################################################
TEMPLATE = lib
CONFIG += plugin
CONFIG -= debug_and_release
QT += widgets multimedia

include( ../../RA_common_prefix.pri )

RA_PLUGIN_NAME = PanBursian
#VER_PAT = 1-alpha   # = 1-alpha, 1-beta, 1, 2-alpha, 2-beta, 2, ...

TRANSLATIONS = $${RADIR}locales/$${RA_PLUGIN_NAME}.ru_RU.ts

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#________________________________________use_DevelopmentTools_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/DevelopmentTools/
DEFINES += DevelopmentTools_PLUGIN_USE
LIBS += -lrapDevelopmentTools$${LIB_SUFFIX}
#_____________________________________________use_COMPort_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/COMPort/
DEFINES += COMPort_PLUGIN_USE
LIBS += -lrapCOMPort$${LIB_SUFFIX}
#________________________________________use_BasicDevices_plugin___
INCLUDEPATH += $${RADIR}RAPlugins/BasicDevices/
DEFINES += BasicDevices_PLUGIN_USE
LIBS += -lrapBasicDevices$${LIB_SUFFIX}
#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_plugin___
HEADERS += PanBursian.h
SOURCES += PanBursian.cpp
# -------------------------------

HEADERS += EPRMath.h
SOURCES += EPRMath.cpp

HEADERS += BursiPan.h
SOURCES += BursiPan.cpp

#HEADERS += BursiPan_RASOS.h
#SOURCES += BursiPan_RASOS.cpp

#HEADERS += BursiPan_RASOS_MSDNx47.h
#SOURCES += BursiPan_RASOS_MSDNx47.cpp

HEADERS += BursiPan_MSDN.h
SOURCES += BursiPan_MSDN.cpp

HEADERS += BursiPanSignal.h
SOURCES += BursiPanSignal.cpp

HEADERS += BursiPanMagnet.h
SOURCES += BursiPanMagnet.cpp

HEADERS += BursiPanHandles.h
SOURCES += BursiPanHandles.cpp

HEADERS     += BursiPanScanner.h
SOURCES     += BursiPanScanner.cpp
OTHER_FILES += BursiPanScanner.state_graph

HEADERS += LakeShore475Gaussmeter.h
SOURCES += LakeShore475Gaussmeter.cpp

#HEADERS += APRI_TController.h
#SOURCES += APRI_TController.cpp
# -------------------------------

OTHER_FILES += dialog.txt

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
