################################################################################
#
################################################################################
TEMPLATE = subdirs
CONFIG  += ordered
WHO_DOES_THE_COMPILATION = $$(USER)

SUBDIRS += BasicDevices

SUBDIRS += CommonMath

SUBDIRS += DemoDevices
DemoDevices.depends = BasicDevices

#SUBDIRS += DemoMicrosin
#DemoMicrosin.depends = BasicDevices

SUBDIRS += DevelopmentTools
DevelopmentTools.depends = BasicDevices DemoDevices

SUBDIRS += COMPort
COMPort.depends = BasicDevices

SUBDIRS += SOS2RA

SUBDIRS += NIDAQmxDrivers
NIDAQmxDrivers.depends = BasicDevices

SUBDIRS += Feofilov
Feofilov.depends = BasicDevices

SUBDIRS += Nelson
Nelson.depends = BasicDevices COMPort

win32 {
  SUBDIRS += Hamamatsu
  Hamamatsu.depends = BasicDevices

  SUBDIRS += CCDLomo
  CCDLomo.depends = BasicDevices Nelson COMPort

#  SUBDIRS += FSDminispectro
#  FSDminispectro.depends = BasicDevices
}

!equals( WHO_DOES_THE_COMPILATION , vik ) {
  message( "____________________ including plugins, which are not for vik" )
  SUBDIRS += SR400Drivers
  SR400Drivers.depends = BasicDevices COMPort
  SUBDIRS += UTMeters
  UTMeters.depends = BasicDevices
}

equals( WHO_DOES_THE_COMPILATION , vik ) {
  message( "_________________ including plugins, which are specific for vik" )
  SUBDIRS += MagnetizationCalc
  SUBDIRS += PanBursian
  PanBursian.depends = BasicDevices COMPort DevelopmentTools
}
