// Import.cpp   (RA_SOS)
// Copyright(C) 2000-2006, Viktor E. Bursian, St.Petersburg, Russia
////////////////////////////////////////////////////////////////////////////////
#include "Import.h"
#include "ImportSOS.h"
#include "FolderNode.h"
#include "attr.h"
namespace RA {
//------------------------------------------------------------------------------

sNodePtr  Import (sFileLocation FileLocation ,sNodePtr Config)
{
  sObjectFile                 S;
  sNodePtr                    Items(new sFolderNode);
  sNodePtr                    Item;

  *Config|="SOS";
  S.Assign(FileLocation.Path());
  S.Open(sObjectFile::Reading);
  if( FileLocation.Ext == ".SOP" ){
    Item=Import_SOP(&S , Config >> "SOS" , FileLocation);
    if( ! Item.IsNULL() ){
      *Items<<attr(FileLocation.Name,Item);
    };
  }else if( FileLocation.Ext == ".SOS" ){
    Items=Import_SOS(&S , Config >> "SOS" , FileLocation);
  };
  S.Close();
  return Items;
}

//------------------------------------------------------------------------------
} //namespace RA
