////////////////////////////////////////////////////////////////////////////////
/*! @file SEXCalibration.h   Calibration of spectra from SEX-2544.
- Part of SOS2RA - Research Assistant Plugin package.
- Uses  RAGUI - Research Assistant Graphical User Interface.
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2015, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#ifndef SEXCalibration_H
#define SEXCalibration_H
#include "SOS2RA.h"
namespace RA {
//------------------------------------------------------------------------------

SOS2RA_EXPORT extern psMathValue  calibrate1 (pcsMathValue  spectrum
                                            ,pcsMathValue  h0);

SOS2RA_EXPORT extern psMathValue  calibrate2 (pcsMathValue  spectrum
                                            ,pcsMathValue  h0);

SOS2RA_EXPORT extern psMathValue  calibrate3 (pcsMathValue  spectrum);

//------------------------------------------------------------------------------
} //namespace RA
#endif
