###########################################################################
#
###########################################################################
TEMPLATE = app
CONFIG += debug_and_release
QT += widgets

include( ../../RA_common_prefix.pri )

TARGET = RAlgebra
#RADIR = ../../

include( $${RADIR}RA_common_suffix.pri )
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

#_______________________________________use_some_files_ from_DemoDevices___
INCLUDEPATH += $${RADIR}RAPlugins/DemoDevices/
DEPENDPATH  += $${RADIR}RAPlugins/DemoDevices/
#______________________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEPENDPATH  += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
win32: LIBS += -lRAGUI$${DEBUG_SUFFIX}$${VER_MAJ}
unix:  LIBS += -lRAGUI$${DEBUG_SUFFIX}
#______________________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEPENDPATH  += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
win32: LIBS += -lRANet$${DEBUG_SUFFIX}$${VER_MAJ}
unix:  LIBS += -lRANet$${DEBUG_SUFFIX}

#____________________________sources_to_be_built_into_this_target___
SOURCES += RAlgebra.cpp

HEADERS += $${RADIR}RAPlugins/DemoDevices/RAlgebraFrame.h
SOURCES += $${RADIR}RAPlugins/DemoDevices/RAlgebraFrame.cpp

HEADERS += RAlgebraWnd.h
SOURCES += RAlgebraWnd.cpp
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

