//#include "Trace.h"
#include <iostream>
#define TRACE( Expr )    \
  std::cout << "***TRACE( " << #Expr << " )=" << Expr << "." << std::endl;


#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-parameter"
int main(int argc, char *argv[])
{
    //differences in types
    {
      TRACE(sizeof(NULL));
      TRACE(sizeof(bool));
      TRACE(sizeof(char));
      TRACE(sizeof(size_t));
      TRACE(sizeof(int));
      TRACE(sizeof(long int));
      TRACE(sizeof(short int));
      TRACE(sizeof(long long int));
      TRACE(sizeof(unsigned int));
      TRACE(sizeof(unsigned long int));
      TRACE(sizeof(unsigned short int));
      TRACE(sizeof(unsigned long long int));
//      TRACE(sizeof(sAttrName::eType));
//      TRACE(sizeof(integer));
      TRACE(sizeof(float));
      TRACE(sizeof(double));
      TRACE(sizeof(long double));
//      TRACE(sizeof(real));
//      TRACE(sizeof(__float64)); //no such type
//      TRACE(sizeof(__float80));
      TRACE(sizeof(__float128));
//      TRACE(sizeof(__float64_t)); //no such type
//      TRACE(sizeof(__float80_t)); //no such type
//      TRACE(sizeof(__float128_t)); //no such type
//      TRACE(__SIZEOF_FLOAT80__);
      /* ubuntu                                 32bit: 64bit:
        ***TRACE( sizeof(NULL) )=                   4       8 !
        ***TRACE( sizeof(bool) )=                   1       1
        ***TRACE( sizeof(char) )=                   1       1
        ***TRACE( sizeof(size_t) )=                 4       8 !
        ***TRACE( sizeof(int) )=                    4       4
        ***TRACE( sizeof(long int) )=               4       8 !
        ***TRACE( sizeof(short int) )=              2       2
        ***TRACE( sizeof(long long int) )=          8       8
        ***TRACE( sizeof(unsigned int) )=           4       4
        ***TRACE( sizeof(unsigned long int) )=      4       8 !
        ***TRACE( sizeof(unsigned short int) )=     2       2
        ***TRACE( sizeof(unsigned long long int) )= 8       8
        ***TRACE( sizeof(sAttrName::eType) )=       4       4
        ***TRACE( sizeof(integer) )=                4       4
        ***TRACE( sizeof(float) )=                  4       4
        ***TRACE( sizeof(double) )=                 8       8
        ***TRACE( sizeof(long double) )=           12      16 !
        ***TRACE( sizeof(real) )=                  12      16 !
        ***TRACE( sizeof(__float80) )=             12      16 !
        ***TRACE( sizeof(__float128) )=            16      16 ? same???
        ***TRACE( __SIZEOF_FLOAT80__ )=            12      16 !
      */
    }
}
#pragma GCC diagnostic warning "-Wunused-parameter"
//#pragma GCC diagnostic pop
