################################################################################
#
################################################################################
LICENSE = GPLv2

TEMPLATE = app
CONFIG -= debug_and_release
QT += widgets sql network

include( ../RA_common_prefix.pri )

TARGET = RAdmin
VER_PAT = $${CORE_VER_PAT}

include( $${RADIR}RA_common_suffix.pri )
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#______________________________________________use_RAGUI_library___
INCLUDEPATH += $${RADIR}RAGUI/
DEFINES += RAGUI_LIBRARY_USE
LIBS += -lRAGUI$${LIB_SUFFIX}
#______________________________________________use_RANet_library___
INCLUDEPATH += $${RADIR}RANet/
DEFINES += RANET_LIBRARY_USE
LIBS += -lRANet$${LIB_SUFFIX}

#___________________________sources_to_be_built_into_this_executable___
HEADERS += ../RATests/testNet/TestGen.h
contains( DEFINES, RANET_DEBUG ){
    SOURCES += ../RATests/testNet/TestGen.cpp
}

HEADERS += ScriptJob.h
SOURCES += ScriptJob.cpp
HEADERS += ExecutionConsole.h
SOURCES += ExecutionConsole.cpp
HEADERS += EditScriptDialog.h
SOURCES += EditScriptDialog.cpp
HEADERS += AdminJob.h
SOURCES += AdminJob.cpp
HEADERS += AdminWindow.h
SOURCES += AdminWindow.cpp
SOURCES += RAdmin_tracing.cpp
SOURCES += RAdmin.cpp

#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
