////////////////////////////////////////////////////////////////////////////////
/*! @file RA_tracing.cpp  Setting what to trace.
- Part of RAdmin project.
- Uses  RANet - Research Assistant Net Library.
- Copyright(C) 2014, Viktor E. Bursian, St.Petersburg, Russia.
                     Viktor.Bursian@mail.ioffe.ru
*///////////////////////////////////////////////////////////////////////////////
#include "Log.h"
namespace RA {

void  SetTracing ()
{
//  RANet::Log.SetShowSeverity(sLog::Debug);

//  RANet::Log.AlwaysShow("Environment");
//  RANet::Log.AlwaysShow("locale");

  RANet::Log.AlwaysShow("NetTools");
  RANet::Log.AlwaysShow("NetOpen");

//  RANet::Log.AlwaysShow("MemoryUsage");
  RANet::Log.AlwaysShow("Quitting");
  RANet::Log.AlwaysShow("Quitting::main");

  RANet::Log.AlwaysShow("Saving");
//  RANet::Log.AlwaysShow("Refreshing");

//  RANet::Log.AlwaysShow("sPhysValue::Normalize");
//  RANet::Log.AlwaysShow("sPhysValue assign: ");
//  RANet::Log.AlwaysShow("Net2Tree");
//  RANet::Log.AlwaysShow("Math");
}

}//namespace RA
